//
//	A View that implements Dragging in 3.0
//	Greg Burd
//		Copyright NeXT Computer, Inc 1992 All Rights Reserved
//
//	Created 7-4-92 -- (Improved from existing code by Randy Nelson)
//
//	You may freely copy, distribute and reuse the code in this example.
//	NeXT disclaims any warranty of any kind, expressed or implied, as to
//	its fitness for any particular use.
//

#import <appkit/View.h>

@interface DragView:View
{
    id 		theImage;
    id 		textObj;
	BOOL	framed;
	BOOL	drawBackground;
}

/*-------------------- methods to get things set up */
- initFrame:(const NXRect *)theFrame;
- awakeFromNib;

/*-------------------- methods to be the source of a dragging operation */
- mouseDown:(NXEvent *)theEvent;
- draggedImage:(NXImage *)image beganAt:(NXPoint *)screenPoint;
- (NXDragOperation)draggingSourceOperationMaskForLocal:(BOOL)flag;
- draggedImage:(NXImage *)image endedAt:(NXPoint *)screenPoint deposited:(BOOL)flag;

/*-------------------- methods to be the destination of a dragging operation */
- (NXDragOperation)draggingEntered:sender;
- (NXDragOperation)draggingUpdated:sender;
- draggingExited:sender;
- (BOOL)prepareForDragOperation:sender;
- (BOOL)performDragOperation:sender;
- concludeDragOperation:sender;

/*-------------------- methods to display, and other useful stuff */
- (BOOL)acceptsFirstMouse;
- (BOOL)shouldDelayWindowOrderingForEvent:(NXEvent *)theEvent;
- sizeTo:(NXCoord)x :(NXCoord)y;
- open:sender;
- setImage:(id)anImage;
- drawSelf:(const NXRect *)rects :(int)num;
- free;

@end
